package Common.Visual.Trees;
import Common.Visual.ControlForm;

import javax.swing.*;
import javax.swing.tree.DefaultTreeModel;
public class TreeForm<C extends StyledTree> extends ControlForm<C> {
    public TreeForm(Class<C> class_in, JPanel mountPanel_in) {
        super(class_in, mountPanel_in);
    }
    //временно, чтобы не затрагивать коды раньше времени.
    public StyledTree getTree() {
        return control;
    }
    @Override
    protected void redrawControl() {
        ((DefaultTreeModel) getTree().getModel()).reload();
    }
}
